Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab.toolbox
Class AbstractListValueWidget

    java.lang.Object
      edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
          edu.stanford.smi.protegex.queries_tab.toolbox.AbstractListValueWidget

All Implemented Interfaces:
  SlotValueWidget

Direct Known Subclasses:
  ClassSelectWidget, ClsSlotValueWidget, InstanceSlotValueWidget, SlotSelectWidget

    public abstract class AbstractListValueWidget

extends AbstractSlotValueWidget

Nested Class Summary

Nested classes/interfaces inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`AbstractSlotValueWidget.SlotValueWidgetMouse`

Field Summary
`protected boolean` | `currentValue`
`protected Slot` | `instanceSlot`
`protected JComponent` | `itsComp`
`protected Instance` | `itsInstance`
`protected KnowledgeBaseListener` | `itsKBListener`
`protected JList` | `itsList`
`protected Action` | `itsRemoveAction`
`protected Action` | `itsSelectAction`
`protected Action` | `itsViewAction`
`protected AbstractSlotValueWidget.SlotValueWidgetMouse` | `slotValueListMouse`
`protected static Comparator` | `theComparator`

Fields inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`_validator, constraints, FIELDHEIGHT, FIELDWIDTH, isViewEnabled, itsInstances, itsSlot, itsTab, itsWidget, label, selection, slotName, specification, visible`

Fields inherited from interface edu.stanford.smi.protegex.queries_tab.SlotValueWidget
`HEIGHT, WIDTH`

Constructor Summary
`AbstractListValueWidget(SearchWidget widget)`

Method Summary
`protected void` | `addActions()`
`protected void` | `addListener()`
`protected void` | `addMouse()`
`protected void` | `createComponents(String label)` Create components in this relation display.
`JList` | `createList()`
`protected void` | `createListener()`
`void` | `removeListener()`
`void` | `removeMouse()`
`void` | `setDisplayName(String name)`
`protected void` | `updateList()`

Methods inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`doTask, getKB, getLabel, getNorthComponent, getProject, getSelectedItems, getSlotName, getTab, initialized, isComplete, isSlotSingleValued, isViewEnabled, isVisible, search, setActionsEnabled, setCls, setInstances, setProject, setSlotName, setSpecification, setViewEnabled, setVisible, viewObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.queries_tab.SlotValueWidget
`getComponent, getData, getSelectedObject, getWidget, search, setData, setSelectedObject`

Field Detail

### theComparator

    protected static final Comparator theComparator

### itsList

    protected JList itsList

### itsComp

    protected JComponent itsComp

### currentValue

    protected boolean currentValue

### instanceSlot

    protected Slot instanceSlot

### itsInstance

    protected Instance itsInstance

### itsViewAction

    protected Action itsViewAction

### itsSelectAction

    protected Action itsSelectAction

### itsRemoveAction

    protected Action itsRemoveAction

### slotValueListMouse

    protected AbstractSlotValueWidget.SlotValueWidgetMouse slotValueListMouse

### itsKBListener

    protected KnowledgeBaseListener itsKBListener

Constructor Detail

### AbstractListValueWidget

    public AbstractListValueWidget(SearchWidget widget)

Method Detail

### addActions

    protected void addActions()

### addListener

    protected void addListener()

### addMouse

    protected void addMouse()

### createComponents

    protected void createComponents(String label)

  Create components in this relation display.

### createList

    public JList createList()

### createListener

    protected void createListener()

### removeListener

    public void removeListener()

  Specified by:
    `removeListener` in interface `SlotValueWidget`
  Overrides:
    `removeListener` in class `AbstractSlotValueWidget`

### removeMouse

    public void removeMouse()

  Specified by:
    `removeMouse` in interface `SlotValueWidget`
  Overrides:
    `removeMouse` in class `AbstractSlotValueWidget`

### setDisplayName

    public void setDisplayName(String name)

  Specified by:
    `setDisplayName` in interface `SlotValueWidget`
  Overrides:
    `setDisplayName` in class `AbstractSlotValueWidget`

### updateList

    protected void updateList()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request